# pb_ds::trie_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<typename Const_Node_Iterator, typename Node_Iterator, typename E_Access_Traits, typename Allocator>
class pb_ds::trie_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >

Definition at line 254 of file trie_policy.hpp.

## Public Types

- typedef Allocator allocator
- typedef e_access_traits::const_iterator const_e_iterator
- typedef const_node_iterator::value_type const_iterator
- typedef base_type::const_key_reference const_key_reference
- typedef Const_Node_Iterator const_node_iterator
- typedef E_Access_Traits e_access_traits
- typedef node_iterator::value_type iterator
- typedef base_type::key_type key_type
- typedef size_type metadata_type
- typedef Node_Iterator node_iterator
- typedef allocator::size_type size_type

## Public Member Functions

- iterator find_by_order (size_type)
- const_iterator find_by_order (size_type) const
- size_type order_of_key (const_key_reference) const
- size_type order_of_prefix (const_e_iterator, const_e_iterator) const

## Protected Member Functions

- void operator() (node_iterator, const_node_iterator) const

The documentation for this class was generated from the following file:

- trie_policy.hpp